Subject: Support user workspace names with underscore
Description

Associated revisions
Revision 4b550916 - 2012-10-17 09:29 - Christopher Hlubek

[BUGFIX] Consistent user creation and workspace name

This change implements a UserFactory that consistently
creates User objects for different use cases.

Furthermore, it removes the restriction of only-alphanumeric
usernames in the setup tool.

Change-Id: Ic73cef9a065d4b54059dd5525216d8905fd58cd5
Fixes: #41972

History
#1 - 2012-10-14 13:45 - Christopher Hlubek
- Status changed from New to Accepted

#2 - 2012-10-14 18:47 - Christopher Hlubek

The problem is caused by different areas where a User is created (Command controller, Setup and User Management). The necessary replacement of
characters from the account identifier is only done in the UserCommandController.

I would suggest to implement a UserFactory or to set the identifier on the User which will then set the workspace name inside the model consistently.

#3 - 2012-10-14 22:20 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15621

#4 - 2012-10-14 22:21 - Christopher Hlubek
- Status changed from Accepted to Under Review

#5 - 2012-10-17 09:29 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15621
#6 - 2012-10-17 10:35 - Christopher Hlubek
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:4b55091675d4e721a6ddd77d770d4925c193e1e6.
